# vim: set sw=4 ts=4 et nu:

Name:           clive
Version:        2.3.3
Release:        lp150.3.3
Summary:        Non-Interactive Video Extraction Utility
# http://prdownloads.sourceforge.net/clive/clive-%{version}.tar.gz
Source:         clive-%{version}.tar.gz
Source99:       clive-rpmlintrc
URL:            http://clive.sourceforge.net/
Group:          Productivity/Networking/Other
License:        ISC/OpenBSD
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  perl(Getopt::ArgvFile)
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(JSON::XS) >= 2.3
Requires:       quvi
Requires:       perl(JSON::XS) >= 2.3
Requires:       perl(Getopt::ArgvFile)
BuildArch:      noarch

%description
clive is a command line utility for extracting videos from Youtube and other
video sharing Web sites. It was originally written to bypass the Adobe Flash
requirement needed to view the hosted videos. It is non-interactive, meaning
it can work in the background while the user is not logged on. This allows the
user to start an extraction and disconnect from the system, letting clive
finish the work.

%prep
%setup -q
%__sed -i '/^auto_install/d' Makefile.PL

%build
export PERL5LIB="%{perl_vendorarch}:%perl_vendorlib:$(perl -V:vendorlib_stem)"
%__perl Makefile.PL PREFIX="%{_prefix}"
%__make %{?jobs:-j%{jobs}}

%install
%perl_make_install
%perl_process_packlist
%__rm -rf "%{buildroot}%{perl_vendorarch}/auto/clive"
%__rm -f "%{buildroot}%{perl_vendorarch}/auto/.packlist"

%check
%if 0%{?opensuse_bs:1}
export NO_INTERNET=1
%endif
%__make PERL5LIB="%{perl_vendorarch}:$PERL5LIB" test

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%doc examples
%{_bindir}/clive
%doc %{_mandir}/man1/clive.1%{ext_man}

%changelog
* Sat Jul  7 2012 dnh@opensuse.org
- update to 2.3.3
* Thu Aug 11 2011 dnh@opensuse.org
- update to 2.3.1.1
* Sat May 14 2011 dnh@opensuse.org
- update to 2.3.0.3
* Sun Mar  6 2011 dnh@opensuse.org
- update to 2.2.23
* Thu Jan 20 2011 pascal.bleser@opensuse.org
- update to 2.2.22:
  * add support for youtu.be URLs
- changes from 2.2.21:
  * fix blocked access by "family filter"
- changes from 2.2.20:
  * accept non-HTTP (input) URLs
  * fix Vimeo video ID parsing
* Mon Dec 13 2010 pascal.bleser@opensuse.org
- update to 2.2.19:
  * a YouTube 404 issue was fixed
  * LiveLeak ID parsing was fixed
* Tue Sep 28 2010 pascal@links2linux.de
- update to 2.2.16:
  * support for Youtube WebM formats was added
* Wed Sep 15 2010 pascal@links2linux.de
- update to 2.2.15:
  * changes to format IDs
  * support for the Youtube 1080p format
  * fixes the HTTP 404 error with Vimeo
* Tue May 18 2010 pascal@links2linux.de
- update to 2.2.11:
  * Youtube: update patterns to reflect website changes
* Wed Mar 31 2010 pascal@links2linux.de
- update to 2.2.10:
  * adds Buzzhumor support
  * fixes various issues with the Dailymotion and Break websites
* Sat Feb 13 2010 pascal@links2linux.de
- update to 2.2.9:
  * Dailymotion format IDs were updated to reflect the Web site
    changes
  * Vimeo support was fixed
  * partial support for Cctv multi-segment videos was added
* Fri Dec 18 2009 pascal.bleser@opensuse.org
- update to 2.2.8:
  * bugfixes
* Wed Sep 30 2009 pascal.bleser@opensuse.org
- update to 2.2.7:
  * fixes --format=best for Youtube
  * adds support for the fmt34 format
* Tue Sep 15 2009 pascal.bleser@opensuse.org
- update to 2.2.6:
  * fixes Liveleak and Break Web site support
  * addresses a Vimeo issue regarding accented characters
* Sun Aug 30 2009 pascal.bleser@opensuse.org
- update to 2.2.5:
  * add --print-fname option
  * fix dailymotion ID parsing
  * fix --hosts: dailymotion: spak-mini -> spark-mini
  * zeropad ETA
* Sun Aug  2 2009 pascal.bleser@opensuse.org
- update to 2.2.4:
  * ports --stream-pass from cclive
  * adds support for a few more Web sites
  * fixes Dailymotion and Redtube support
* Sat Jul 25 2009 pascal.bleser@opensuse.org
- update to 2.2.3:
  * a number of changes to improve backwards compatibility with 2.1
  * fixes Google Video and Dailymotion support
  * improves Unicode support
* Thu Jul  9 2009 pascal.bleser@opensuse.org
- add missing dependency perl-Class-Singleton
* Mon Jun 22 2009 pascal.bleser@opensuse.org
- update to 2.2.1:
  * Vimeo support
* Sun Jun 14 2009 pascal.bleser@opensuse.org
- update to 2.2.0:
  * a rewrite of 2.1 aimed to clean up the old codebase
* Sun May 17 2009 pascal.bleser@opensuse.org
- update to 2.1.13:
  * makes the BerkeleyDB module optional
* Sat May  9 2009 pascal.bleser@opensuse.org
- update to 2.1.12
* Sun Apr  5 2009 pascal.bleser@opensuse.org
- update to 2.1.10:
  * changes to the printed status messages, making it possible to use abby as
    a front-end for clive
  * adds YouTube HD support
  * adds Cctv Website support
  * adds a few new options
  * improves content-type parsing
  * fixes a few minor bugs
  * sample configuration file moved from %%%%{_docdir}/%%%%{name}/configrc
    to %%%%{_docdir}/%%%%{name}/examples/config
* Fri Mar 27 2009 pascal.bleser@opensuse.org
- update to 2.1.9
* Tue Mar 17 2009 pascal.bleser@opensuse.org
- update to 2.1.7:
  * this release ports some of the cclive features such as the resizing the
    progress bar and streaming options
  * the XML::Simple Perl module prerequisite has been removed
* Sat Feb 21 2009 guru@unixtech.be
- update to 2.1.6:
  * changes to the existing options
  * help output has been tuned down and cleaned up
* Tue Feb 10 2009 guru@unixtech.be
- update to 2.1.5:
  * adds Sevenload support
* Sun Feb  1 2009 guru@unixtech.be
- update to 2.1.4:
  * fixes a few minor bugs and makes some other minor tweaks to the program
* Fri Jan  9 2009 guru@unixtech.be
- update to 2.1.3:
  * adds the requested LICENSE file
  * makes minor tweaks to the utility and the manual page
* Mon Dec 29 2008 guru@unixtech.be
- update to 2.1.2:
  * addresses a few minor bugs and adds support for the evisortv Web site
* Sat Dec 27 2008 guru@unixtech.be
- the actual Requires is perl-Digest-SHA, not perl-Digest-SHA1,
  thanks again to DimiG for reporting and investigating
* Fri Dec 26 2008 guru@unixtech.be
- added missing Requires for perl-Digest-SHA1, thanks to DimiG for
  reporting
* Sat Dec 20 2008 guru@unixtech.be
- update to 2.1.1:
  * fixes a number of minor bugs
  * adds a few new options
* Thu Dec 11 2008 guru@unixtech.be
- update to 2.1.0:
  * makes some of the previously required Perl modules optional
  * changes the license from the GPL3 to ISC/OpenBSD
  * adds support for the Liveleak Web site
  * replaces the previously used progress bar with a built-in one
* Tue Dec  2 2008 guru@unixtech.be
- update to 2.0.0
* Tue Oct 14 2008 guru@unixtech.be
- removed changelog entries prior to 1.0.0
- update to 1.0.2:
  * fixes GoogleVideo support
  * addresses some minor bugs
* Sun Aug 31 2008 guru@unixtech.be
- removed debug_package
- update to 1.0.1:
  * minor performance tweaks
  * fixes a few bugs
* Sat Aug  9 2008 guru@unixtech.be
- new upstream version:
  * this release adds a clive-passwd utility for storing encrypted login passwords
  * the login options were updated to support encrypted passwords, and a new option --passwd was added
  * all of the bundled packages (newt, urlgrabber, and feedparser) were
    removed and module dependency was improved so that it is now possible to
    run clive without most of them
